Subject: bug#35006: 27.0.50; Minibuffer sometimes unexpectedly does not grow

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Mar 2019 05:33:27 +0200

> From: Markus Triska <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 27 Mar 2019 22:00:07 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I think you expect resize-mini-windows to do what it was never
> > designed to do.
> 
> I was relying on the guarantee outlined in the info material:
> 
>    The minibuffer’s window is normally a single line; it grows
>    automatically if the contents require more space.

The documentation doesn't consider the case of inserting arbitrary
content in the minibuffer.

> > Maybe it's a flaw that should be fixed by enhancing the design and
> > making the implementation follow suit, but currently the code works as
> > designed, AFAICT.
> 
> Could you please consider supporting this feature?

I will take a look, but no promises.  This is something redisplay
never does, for any window.